NEEDLE-ESTIMATE(1)

NAME
needle-estimate - Estimate expression value of transcript based on the Needle index.

POSITIONAL ARGUMENTS

ARGUMENT-1 (std::filesystem::path)
    Please provide a sequence file.

OPTIONS

  Basic options:

-h, --help
    Prints the help page.

-hh, --advanced-help
    Prints the help page including advanced options.

--version
    Prints the version information.

--copyright
    Prints the copyright/license information.

--export-help (std::string)
    Export the help page information. Value must be one of [html, man].

-i, --in (std::filesystem::path)
    Directory where input files can be found. Default: "./".

-o, --out (std::filesystem::path)
    Directory, where output files should be saved. Default: "expressions.out".

-t, --threads (unsigned 8 bit integer)
    Number of threads to use. Default: 1. Default: 1.

-m, --normalization-mode
    Set, if normalization is wanted. Normalization is achieved bydividing the expression value with the expression threshold of the first ibf. Only make sense if every bin has its own expression thresholds (which is the case if expression thresholds were generated automatically).Default: False.

VERSION
Last update: 2024-11-07
needle-estimate version: 1.0.3
SeqAn version: 3.4.0

URL
https://github.com/seqan/needle

LEGAL
needle-estimate Copyright: BSD 3-Clause License
Author: Mitra Darvish
SeqAn Copyright: 2006-2025 Knut Reinert, FU-Berlin; released under the 3-clause BSDL.
In your academic works please cite: Needle: a fast and space-efficient prefilter for estimating the quantification of very large collections of expression experiments; Mitra Darvish, Enrico Seiler, Svenja Mehringer, René Rahn, and Knut Reinert; Bioinformatics, Volume 38, Issue 17, 1 September 2022, Pages 4100-4108. doi: https://doi.org/10.1093/bioinformatics/btac492
For full copyright and/or warranty information see --copyright.